import 'package:rasadyar_auth/presentation/pages/modules/logic.dart';
import 'package:rasadyar_auth/presentation/pages/modules/view.dart';
import 'package:rasadyar_auth/presentation/widget/captcha/logic.dart';
import 'package:rasadyar_core/core.dart';

import '../pages/auth/logic.dart';
import '../pages/auth/view.dart';

part 'paths.dart';

sealed class AuthPages {
  AuthPages._();

  static List<GetPage> pages = [
    GetPage(
      name: AuthPaths.moduleList,
      page: () => ModulesPage(),
      binding: BindingsBuilder(() {
        Get.lazyPut(() => ModulesLogic());
      }),
    ),

    GetPage(
      name: AuthPaths.auth,
      page: () => AuthPage(),
      binding: BindingsBuilder(() {
        Get.lazyPut(() => AuthLogic());
        Get.lazyPut(() => CaptchaWidgetLogic());
      }),
    ),
  ];
}
